package com.gic.haoban.manage.web.vo.order.refund;

import java.io.Serializable;
import java.util.Date;

/**
 * tab_gic_mall_order_exchange
 */
public class OrderExchangeDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     *订单来源类型
     * @see com.gic.business.order.enums.OrderEnum.BusinessTypeEnum
     */
    private Integer businessType;

    private String orderExchangeId;
    /**
     * 订单换货流水号
     */
    private String orderExchangeNumber;
    /**
     * 订单流程ID
     */
    private String orderNumber;
    // 下单时间
    private Date orderTime;

    /**
     * 订单ID
     */
    private String orderId;

    /**
     * 订单项ID
     */
    private String orderItemId;

    /**
     * 会员ID
     */
    private String memberId;

    private String memberName;
    private String memberCardNo;
    private String memberImage;
    private String mainClerkName;
    private String mainStoreName;
    private String openClerkName;
    private String openStoreName;

    /**
     * 换货商品件数（或单位 贵金属-重量等）
     */
    private Double exchangeNumber;

    /**
     * 换货状态 1待换货待处理 2商家拒绝申请 3待买家退货 4待商家收货并发货 5待买家确认收货 6拒绝换货 7换货成功 8换货失败
     */
    private Integer exchangeStatus;

    /**
     * 买家发货物流id
     */
    private String buyerLogisticsId;

    /**
     * 买家收货地址信息id
     */
    private String buyerAddressInfo;

    /**
     * 买家姓名
     */
    private String buyerName;

    /**
     * 买家手机
     */
    private String buyerPhone;

    /**
     * 买家物流号（退货物流）
     */
    private String buyerLogisticsCode;

    /**
     * 买家物流公司（退货物流）
     */
    private String buyerLogisticsCompanyName;

    /**
     * 卖家发货物流id
     */
    private String sellerLogisticsId;

    /**
     * 卖家收货地址信息id
     */
    private String sellerAddressInfo;

    /**
     * 卖家姓名
     */
    private String sellerName;

    /**
     * 卖家手机
     */
    private String sellerPhone;

    /**
     * 买家换货截止时间
     */
    private Date exchangeGoodsTime;

    /**
     * 买家换货最后期限
     */
    private Date buyerDeliveryEndTime;

    /**
     * 商城商品ID
     */
    private String mallProId;

    /**
     * 商城商品名称
     */
    private String mallProName;

    /**
     * 商品编号
     */
    private String mallProCode;

    /**
     * 商城商品图片url
     */
    private String mallProImageUrl;

    private String mallProSkuAttr;

    /**
     * 商城商品零售价
     */
    private Double mallProPrice;

    /**
     * 目标商品SKU_ID
     */
    private String targetProSkuId;

    /**
     * 目标商品SKU_CODE
     */
    private String targetProSkuCode;

    /**
     * 目标商品SKU属性
     */
    private String targetProSkuAttr;

    // 目前商品库存
    private int targetProStock;

    /**
     * 目标商品图片
     */
    private String targetProImageUrl;

    /**
     * 实付金额
     */
    private Double payAmount;

    /**
     * 商家备注
     */
    private String sellerRemark;

    /**
     * 创建记录时间
     */
    private Date createTime;

    /**
     * 商家处理换货申请时间
     */
    private Date sellerProcessTime;
    /**
     * 商家发货时间
     */
    private Date sellerDeliveryTime;
    /**
     * 买家发货时间
     */
    private Date buyerDeliveryTime;
    /**
     * 买家取消时间
     */
    private Date buyerCancelTime;
    /**
     * 商家取消时间
     */
    private Date sellerRefuseGoodsTime;
    private Date updateTime;
    private Double mallProNumber;
    private String discountAmountInfo;
    private String mallProSkuCode;

    // 赠品1是0否
    private int giftFlag;
    private String sellerLogisticsCompanyName;
    private String sellerLogisticsCode;

    private String exchangeFailReason;
    private String exchangeReason;
    // 退款凭证图片,号隔开
    private String exchangeImgUrl;

    private String exchangeDescribe;

    // 1 电商发货 2门店发货
    private Integer deliveryMode = 1;
    private String amountPayableInfo;
    private Double orderItemFreight;

    private String buyerLogisticsCompanyId;
    private String sellerLogisticsCompanyId;
    private String sellerLogisticsCompanyCode;

    // 好办端能否审批售后
    private boolean canAduitFlag = true;
    // 退款的门店id
    private String exchangeStoreId;
    
    // 发货门店
    private String deliverStoreId ;
    private String deliverStoreName ;
    private String deliverStoreCode ;
    
    // 2：门店自提 1：快递发货   
    private Integer deliveryChannel ;

    public Integer getBusinessType() {
        return businessType;
    }

    public void setBusinessType(Integer businessType) {
        this.businessType = businessType;
    }

    public Integer getDeliveryChannel() {
        return deliveryChannel;
    }

    public void setDeliveryChannel(Integer deliveryChannel) {
        this.deliveryChannel = deliveryChannel;
    }

    public String getDeliverStoreId() {
        return deliverStoreId;
    }

    public String getDeliverStoreName() {
        return deliverStoreName;
    }

    public String getDeliverStoreCode() {
        return deliverStoreCode;
    }

    public void setDeliverStoreId(String deliverStoreId) {
        this.deliverStoreId = deliverStoreId;
    }

    public void setDeliverStoreName(String deliverStoreName) {
        this.deliverStoreName = deliverStoreName;
    }

    public void setDeliverStoreCode(String deliverStoreCode) {
        this.deliverStoreCode = deliverStoreCode;
    }

    public String getExchangeStoreId() {
        return exchangeStoreId;
    }

    public void setExchangeStoreId(String exchangeStoreId) {
        this.exchangeStoreId = exchangeStoreId;
    }

    public boolean isCanAduitFlag() {
        return canAduitFlag;
    }

    public void setCanAduitFlag(boolean canAduitFlag) {
        this.canAduitFlag = canAduitFlag;
    }

    public String getSellerLogisticsCompanyCode() {
        return sellerLogisticsCompanyCode;
    }

    public void setSellerLogisticsCompanyCode(String sellerLogisticsCompanyCode) {
        this.sellerLogisticsCompanyCode = sellerLogisticsCompanyCode;
    }

    public String getBuyerLogisticsCompanyId() {
        return buyerLogisticsCompanyId;
    }

    public String getSellerLogisticsCompanyId() {
        return sellerLogisticsCompanyId;
    }

    public void setBuyerLogisticsCompanyId(String buyerLogisticsCompanyId) {
        this.buyerLogisticsCompanyId = buyerLogisticsCompanyId;
    }

    public void setSellerLogisticsCompanyId(String sellerLogisticsCompanyId) {
        this.sellerLogisticsCompanyId = sellerLogisticsCompanyId;
    }

    public String getMemberImage() {
        return memberImage;
    }

    public String getMainClerkName() {
        return mainClerkName;
    }

    public String getMainStoreName() {
        return mainStoreName;
    }

    public String getOpenClerkName() {
        return openClerkName;
    }

    public String getOpenStoreName() {
        return openStoreName;
    }

    public void setMemberImage(String memberImage) {
        this.memberImage = memberImage;
    }

    public void setMainClerkName(String mainClerkName) {
        this.mainClerkName = mainClerkName;
    }

    public void setMainStoreName(String mainStoreName) {
        this.mainStoreName = mainStoreName;
    }

    public void setOpenClerkName(String openClerkName) {
        this.openClerkName = openClerkName;
    }

    public void setOpenStoreName(String openStoreName) {
        this.openStoreName = openStoreName;
    }

    public Integer getDeliveryMode() {
        return deliveryMode;
    }

    public String getAmountPayableInfo() {
        return amountPayableInfo;
    }

    public Double getOrderItemFreight() {
        return orderItemFreight;
    }

    public void setDeliveryMode(Integer deliveryMode) {
        this.deliveryMode = deliveryMode;
    }

    public void setAmountPayableInfo(String amountPayableInfo) {
        this.amountPayableInfo = amountPayableInfo;
    }

    public void setOrderItemFreight(Double orderItemFreight) {
        this.orderItemFreight = orderItemFreight;
    }

    public String getExchangeDescribe() {
        return exchangeDescribe;
    }

    public void setExchangeDescribe(String exchangeDescribe) {
        this.exchangeDescribe = exchangeDescribe;
    }

    public String getMallProSkuAttr() {
        return mallProSkuAttr;
    }

    public void setMallProSkuAttr(String mallProSkuAttr) {
        this.mallProSkuAttr = mallProSkuAttr;
    }

    public int getTargetProStock() {
        return targetProStock;
    }

    public void setTargetProStock(int targetProStock) {
        this.targetProStock = targetProStock;
    }

    public String getExchangeFailReason() {
        return exchangeFailReason;
    }

    public String getExchangeReason() {
        return exchangeReason;
    }

    public void setExchangeFailReason(String exchangeFailReason) {
        this.exchangeFailReason = exchangeFailReason;
    }

    public void setExchangeReason(String exchangeReason) {
        this.exchangeReason = exchangeReason;
    }

    public String getExchangeImgUrl() {
        return exchangeImgUrl;
    }

    public void setExchangeImgUrl(String exchangeImgUrl) {
        this.exchangeImgUrl = exchangeImgUrl;
    }

    public String getSellerLogisticsCompanyName() {
        return sellerLogisticsCompanyName;
    }

    public String getSellerLogisticsCode() {
        return sellerLogisticsCode;
    }

    public void setSellerLogisticsCompanyName(String sellerLogisticsCompanyName) {
        this.sellerLogisticsCompanyName = sellerLogisticsCompanyName;
    }

    public void setSellerLogisticsCode(String sellerLogisticsCode) {
        this.sellerLogisticsCode = sellerLogisticsCode;
    }

    public String getMallProSkuCode() {
        return mallProSkuCode;
    }

    public int getGiftFlag() {
        return giftFlag;
    }

    public void setMallProSkuCode(String mallProSkuCode) {
        this.mallProSkuCode = mallProSkuCode;
    }

    public void setGiftFlag(int giftFlag) {
        this.giftFlag = giftFlag;
    }

    public Double getMallProNumber() {
        return mallProNumber;
    }

    public String getDiscountAmountInfo() {
        return discountAmountInfo;
    }

    public void setMallProNumber(Double mallProNumber) {
        this.mallProNumber = mallProNumber;
    }

    public void setDiscountAmountInfo(String discountAmountInfo) {
        this.discountAmountInfo = discountAmountInfo;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMemberCardNo() {
        return memberCardNo;
    }

    public void setMemberCardNo(String memberCardNo) {
        this.memberCardNo = memberCardNo;
    }

    public String getOrderExchangeId() {
        return orderExchangeId;
    }

    public String getOrderExchangeNumber() {
        return orderExchangeNumber;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public String getOrderId() {
        return orderId;
    }

    public String getOrderItemId() {
        return orderItemId;
    }

    public String getMemberId() {
        return memberId;
    }

    public Double getExchangeNumber() {
        return exchangeNumber;
    }

    public Integer getExchangeStatus() {
        return exchangeStatus;
    }

    public String getBuyerLogisticsId() {
        return buyerLogisticsId;
    }

    public String getBuyerAddressInfo() {
        return buyerAddressInfo;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public String getBuyerPhone() {
        return buyerPhone;
    }

    public String getBuyerLogisticsCode() {
        return buyerLogisticsCode;
    }

    public String getBuyerLogisticsCompanyName() {
        return buyerLogisticsCompanyName;
    }

    public String getSellerLogisticsId() {
        return sellerLogisticsId;
    }

    public String getSellerAddressInfo() {
        return sellerAddressInfo;
    }

    public String getSellerName() {
        return sellerName;
    }

    public String getSellerPhone() {
        return sellerPhone;
    }

    public Date getExchangeGoodsTime() {
        return exchangeGoodsTime;
    }

    public Date getBuyerDeliveryEndTime() {
        return buyerDeliveryEndTime;
    }

    public String getMallProId() {
        return mallProId;
    }

    public String getMallProName() {
        return mallProName;
    }

    public String getMallProCode() {
        return mallProCode;
    }

    public String getMallProImageUrl() {
        return mallProImageUrl;
    }

    public Double getMallProPrice() {
        return mallProPrice;
    }

    public String getTargetProSkuId() {
        return targetProSkuId;
    }

    public String getTargetProSkuCode() {
        return targetProSkuCode;
    }

    public String getTargetProSkuAttr() {
        return targetProSkuAttr;
    }

    public String getTargetProImageUrl() {
        return targetProImageUrl;
    }

    public Double getPayAmount() {
        return payAmount;
    }

    public String getSellerRemark() {
        return sellerRemark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public Date getSellerProcessTime() {
        return sellerProcessTime;
    }

    public Date getSellerDeliveryTime() {
        return sellerDeliveryTime;
    }

    public Date getBuyerDeliveryTime() {
        return buyerDeliveryTime;
    }

    public Date getBuyerCancelTime() {
        return buyerCancelTime;
    }

    public Date getSellerRefuseGoodsTime() {
        return sellerRefuseGoodsTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setOrderExchangeId(String orderExchangeId) {
        this.orderExchangeId = orderExchangeId;
    }

    public void setOrderExchangeNumber(String orderExchangeNumber) {
        this.orderExchangeNumber = orderExchangeNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public void setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public void setOrderItemId(String orderItemId) {
        this.orderItemId = orderItemId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public void setExchangeNumber(Double exchangeNumber) {
        this.exchangeNumber = exchangeNumber;
    }

    public void setExchangeStatus(Integer exchangeStatus) {
        this.exchangeStatus = exchangeStatus;
    }

    public void setBuyerLogisticsId(String buyerLogisticsId) {
        this.buyerLogisticsId = buyerLogisticsId;
    }

    public void setBuyerAddressInfo(String buyerAddressInfo) {
        this.buyerAddressInfo = buyerAddressInfo;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public void setBuyerPhone(String buyerPhone) {
        this.buyerPhone = buyerPhone;
    }

    public void setBuyerLogisticsCode(String buyerLogisticsCode) {
        this.buyerLogisticsCode = buyerLogisticsCode;
    }

    public void setBuyerLogisticsCompanyName(String buyerLogisticsCompanyName) {
        this.buyerLogisticsCompanyName = buyerLogisticsCompanyName;
    }

    public void setSellerLogisticsId(String sellerLogisticsId) {
        this.sellerLogisticsId = sellerLogisticsId;
    }

    public void setSellerAddressInfo(String sellerAddressInfo) {
        this.sellerAddressInfo = sellerAddressInfo;
    }

    public void setSellerName(String sellerName) {
        this.sellerName = sellerName;
    }

    public void setSellerPhone(String sellerPhone) {
        this.sellerPhone = sellerPhone;
    }

    public void setExchangeGoodsTime(Date exchangeGoodsTime) {
        this.exchangeGoodsTime = exchangeGoodsTime;
    }

    public void setBuyerDeliveryEndTime(Date buyerDeliveryEndTime) {
        this.buyerDeliveryEndTime = buyerDeliveryEndTime;
    }

    public void setMallProId(String mallProId) {
        this.mallProId = mallProId;
    }

    public void setMallProName(String mallProName) {
        this.mallProName = mallProName;
    }

    public void setMallProCode(String mallProCode) {
        this.mallProCode = mallProCode;
    }

    public void setMallProImageUrl(String mallProImageUrl) {
        this.mallProImageUrl = mallProImageUrl;
    }

    public void setMallProPrice(Double mallProPrice) {
        this.mallProPrice = mallProPrice;
    }

    public void setTargetProSkuId(String targetProSkuId) {
        this.targetProSkuId = targetProSkuId;
    }

    public void setTargetProSkuCode(String targetProSkuCode) {
        this.targetProSkuCode = targetProSkuCode;
    }

    public void setTargetProSkuAttr(String targetProSkuAttr) {
        this.targetProSkuAttr = targetProSkuAttr;
    }

    public void setTargetProImageUrl(String targetProImageUrl) {
        this.targetProImageUrl = targetProImageUrl;
    }

    public void setPayAmount(Double payAmount) {
        this.payAmount = payAmount;
    }

    public void setSellerRemark(String sellerRemark) {
        this.sellerRemark = sellerRemark;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public void setSellerProcessTime(Date sellerProcessTime) {
        this.sellerProcessTime = sellerProcessTime;
    }

    public void setSellerDeliveryTime(Date sellerDeliveryTime) {
        this.sellerDeliveryTime = sellerDeliveryTime;
    }

    public void setBuyerDeliveryTime(Date buyerDeliveryTime) {
        this.buyerDeliveryTime = buyerDeliveryTime;
    }

    public void setBuyerCancelTime(Date buyerCancelTime) {
        this.buyerCancelTime = buyerCancelTime;
    }

    public void setSellerRefuseGoodsTime(Date sellerRefuseGoodsTime) {
        this.sellerRefuseGoodsTime = sellerRefuseGoodsTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}